.header {
    z-index: 800;
    position: relative;

    &__row {
        height: rem(90);
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__logo {
        color: #021106;
        font-weight: 800;
        font-size: rem(24);
        line-height: rem(40);
        text-decoration: none;
        display: block;

        &:hover {
            color: #021106;
            text-decoration: none;
        }
    }

    &__hamburger {
        font-size: 0;
        line-height: 0;
        display: block;
        flex-shrink: 0;
    }

    &__nav {
        display: none;
    }

    @include media-breakpoint-up(md) {}

    @include media-breakpoint-up(xl) {
        top: 0;
        left: 0;
        right: 0;
        position: absolute;

        &__hamburger {
            display: none;
        }

        &__layout {
            display: none;
        }

        &__nav {
            display: flex;
            align-items: center;
        }

        &__menu {
            margin: 0;
            padding: 0 rem(80) 0 0;
            list-style: none;
            display: flex;
            align-items: center;

            &--item {

                &:not(:last-child) {
                    margin-right: rem(52);
                }
            }

            &--link {
                padding: rem(4);
                color: #021106;
                font-weight: 500;
                font-size: rem(16);
                line-height: rem(28);
                text-decoration: none;
                white-space: nowrap;
                display: inline-flex;
                align-items: center;
                justify-content: center;

                &:hover {
                    color: $blue;
                    text-decoration: none;
                }
            }
        }

        &__buttons {
            margin: 0;
            padding: 0;
            list-style: none;
            display: flex;
            align-items: center;

            &--item {

                &:not(:last-child) {
                    margin-right: rem(20);
                }
            }
        }
    }

    @include media-breakpoint-up(xxl) {}
}

.hamburger {
    width: 32px;
    height: 28px;
    position: relative;
    display: block;
    text-align: right;
    margin: 0;
    padding: 0;
    font-size: 0;
    line-height: 0;
    border: none;
    outline: none;
    cursor: pointer;
    background: transparent;

    span,
    &:after,
    &:before {
        right: 0;
        height: 4px;
        content: '';
        display: inline-block;
        position: absolute;
        transition-property: transform;
        transition-duration: .15s;
        transition-timing-function: ease;
        border-radius: 2px;
        background-color: #1D1D1D;
    }

    span {
        top: calc(50% - 2px);
        width: 50%;
    }

    &:after {
        top: 0;
        width: 100%;
    }

    &:before {
        bottom: 0;
        width: 80%;
    }

    &.hamburger--open {

    }
}

.nav-mobile {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 4444;
    position: fixed;
    text-align: center;
    background: rgba(255,255,255,1);
    display: flex;
    flex-direction: column;
    overflow-y: auto;
    opacity: 0;
    visibility: hidden;
    transition: .3s;

    &__close {
        top: 24px;
        right: 8px;
        width: rem(40);
        height: rem(40);
        font-size: 0;
        line-height: 0;
        border: none;
        outline: none;
        z-index: 100;
        cursor: pointer;
        display: inline-block;
        background: transparent;
        position: fixed;

        &:after,
        &:before {
            border-radius: 2px;
            top: calc(50% - 2px);
            left: calc(50% - 18px);
            width: 36px;
            height: 4px;
            content: '';
            display: block;
            position: absolute;
            background: #021106;
        }

        &:after {
            transform: rotate(45deg);
        }

        &:before {
            transform: rotate(-45deg);
        }
    }

    &__wrap {
        margin: auto 0;
        padding: rem(40) rem(20);
    }

    &__menu {
        padding: 0;
        list-style: none;
        margin: 0 0 rem(40) 0;

        &--item {
        }

        &--link {
            padding: rem(8);
            color: #021106;
            font-weight: 500;
            font-size: rem(16);
            line-height: rem(28);
            text-decoration: none;
            white-space: nowrap;
            display: inline-block;

            &:hover {
                color: $blue;
                text-decoration: none;
            }
        }
    }

    &__buttons {
        margin: 0;
        padding: 0;
        list-style: none;
        display: flex;
        align-items: center;
        justify-content: center;

        &--item {
            padding: rem(8);
        }
    }

    @include media-breakpoint-up(xl) {
        display: none;
    }

}


.nav-open {
    height: 100%;
    overflow: hidden;

    .nav-mobile {
        opacity: 1;
        visibility: visible;
        transition: .3s;
    }

    @include media-breakpoint-up(xl) {
        height: auto;
        overflow: visible;
    }
}
